Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class TextObjectMixin

[frames | no frames]

## Class TextObjectMixin

    XYObjectMixin --+
                    |
                   TextObjectMixin

Known Subclasses:
  `Bitmap`, `ScaledBitmap`, `ScaledText`, `ScaledTextBox`, `Text`

A mix in class that holds attributes and methods that are needed by the Text objects

Method Summary
| ``LayoutText`(self)` A dummy method to re-do the layout of the text.
| `SetBackgroundColor(self, BackgroundColor)`
| `SetColor(self, Color)`
| `SetFont(self, Size, Family, Style, Weight, Underline, FaceName)`
| ``SetText`(self, String)` Re-sets the text displayed by the object

Class Variable Summary
`dict` | `FontList` = `{}`
`int` | `LayoutFontSize` = 12
`dict` | `ShiftFunDict` = `{'cl': <function <lambda> at 0xb4983b1c>,...`

Method Details

### LayoutText(self)

A dummy method to re-do the layout of the text.

A derived object needs to override this if required.

### SetText(self, String)

Re-sets the text displayed by the object

In the case of the ScaledTextBox, it will re-do the layout as appropriate

Note: only tested with the ScaledTextBox

Class Variable Details

### FontList

  Type:
    `dict`
  Value:

        {}

### LayoutFontSize

  Type:
    `int`
  Value:

        12

### ShiftFunDict

  Type:
    `dict`
  Value:

        {'bc': <function <lambda> at 0xb4983bfc>,
         'bl': <function <lambda> at 0xb4983bc4>,
         'br': <function <lambda> at 0xb4983c34>,
         'cc': <function <lambda> at 0xb4983b54>,
         'cl': <function <lambda> at 0xb4983b1c>,
         'cr': <function <lambda> at 0xb4983b8c>,
         'tc': <function <lambda> at 0xb4983aac>,
         'tl': <function <lambda> at 0xb4983a74>,
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:32 2007 | http://epydoc.sf.net